<h1 translate>confirm_register.title</h1>

<p translate>confirm_register.informations</p>
<p translate>confirm_register.confirm_token</p>

<div class="form-wrapper">
  <mat-form [formGroup]="confirmRegisterForm">
    <mat-form-field appearance="fill">
      <mat-label translate>confirm_register.form.token.title</mat-label>
      <input matInput type="text" formControlName="token">
      <mat-error *ngIf="f.token.hasError('required')" translate>confirm_register.form.token.errors.required</mat-error>
      <mat-error *ngIf="f.token.hasError('pattern')" translate>confirm_register.form.token.errors.uuid</mat-error>
    </mat-form-field>

    <button mat-flat-button color="primary" type="submit" [disabled]="formInvalid()" (click)="submit()">
      <span translate>confirm_register.form.submit</span>
    </button>
  </mat-form>
</div>
